Bug 33734 - QA0327 - eject improperly does NOT ignore comment lines in fstab
QA0327 - eject improperly does NOT ignore comment lines in fstab
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: eject (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-28 22:14 EST by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-29 16:07:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2001-03-28 22:14:57 EST
eject improperly does NOT ignore comment lines in fstab -- is is trying to
use the first line found by the grep, not the first _non-commented_ line
...
 
[root@couch /mnt]# rpm -q eject
eject-2.0.2-6
[root@couch /mnt]# umount /mnt/cdrom1
[root@couch /mnt]# eject
eject: unable to open `#'
[root@couch /mnt]# grep cdrom /etc/fstab
# /dev/hdc              /mnt/cdrom              iso9660 noauto,owner,ro 0 0
/dev/cdrom1             /mnt/cdrom1             iso9660
noauto,owner,kudzu,ro 0
0
[root@couch /mnt]#
Comment 1 R P Herrold 2001-03-28 22:25:17 EST
I reverse the line order, and in the comment line break up cdrom (no effect),
then iso9660 (no effect), and then the /dev/hdc -- which is not even correct --
this uses the ide-scsi module, and eh dummy SCSI emulation:

 
[root@couch /mnt]# grep rom /etc/fstab
/dev/cdrom1             /mnt/cdrom1             isoq9660 noauto,owner,kudzu,ro 0
0
# /dev/hd_c              /mnt/c_drom              iso_9660 noauto,owner,ro 0 0
[root@couch /mnt]#
[root@couch /mnt]# eject
eject: unable to eject, last error: Input/output error

There is some other error here as well.

Checking dmesg:

 
[root@couch /mnt]# dmesg | grep scsi
Kernel command line: auto BOOT_IMAGE=linux-cd ro root=305
BOOT_FILE=/boot/vmlinuz-2.4.2-0.1.40 hdc=ide-scsi
ide_setup: hdc=ide-scsi
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
[root@couch /mnt]#
 
[root@couch /mnt]# dmesg | tail
PCI: Found IRQ 11 for device 00:0c.0
ymfpci: YMF740 at 0xf4000000 IRQ 11
ac97_codec: AC97 Audio codec, id: 0x4144:0x5303 (Analog Devices AD1819)
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 32x/32x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.12
sr0: CDROM not ready.  Make sure there is a disc in the drive.
cdrom: open failed.
ISO 9660 Extensions: Microsoft Joliet Level 3
ISO 9660 Extensions: RRIP_1991A
[root@couch /mnt]#


(there WAS a CD present ... )


The hardware ..
 
[root@couch scsi]# pwd
/proc/scsi
[root@couch scsi]# cat scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: PHILIPS  Model: PCRW804          Rev:  1.1
  Type:   CD-ROM                           ANSI SCSI revision: 02
[root@couch scsi]#
 
[root@couch ide-scsi]# cat 0
SCSI host adapter emulation for IDE ATAPI devices
[root@couch ide-scsi]# pwd
/proc/scsi/ide-scsi
[root@couch ide-scsi]# cat 0
SCSI host adapter emulation for IDE ATAPI devices
[root@couch ide-scsi]#
Comment 2 Glen Foster 2001-03-29 16:05:42 EST
This defect considered MUST-FIX for Florence Gold
Comment 3 Glen Foster 2001-03-29 16:07:24 EST
Oops, wrong bug.  This one is NOT MUST-FIX.
Comment 4 Preston Brown 2001-04-03 12:44:07 EDT
changed in eject-2.0.2-7 and later.

Note You need to log in before you can comment on or make changes to this bug.